#!/usr/bin/perl -w

=head1 NAME

mimeencode - encode a file

=head1 SYNOPSIS

    mimeencode
        Give usage.
     
    mimeencode [-d] encoding <infile >outfile
        Encode/decode stdin to stdout.

=head1 DESCRIPTION

Encode (or, with -d, decode) stdin with the given encoding, 
writing results to stdout.
 
This does not do MIME parsing; it merely exercises the decoder
modules.

=head1 AUTHOR

Eryq, eryq@zeegee.com

=cut

use lib "./lib";
use strict;
use Getopt::Std;

use vars qw($opt_d);
use MIME::Decoder;

# Usage?
$ARGV[0] or die <<EOF;

Usage:
    mimeencode [-d] encoding <infile >outfile

EOF

# Args:
getopts("d");
my $enc = shift @ARGV;

# Get decoder:
my $decoder = new MIME::Decoder $enc or die "unsupported encoding ($enc)\n";

# Do it!
my $action = ($opt_d ? 'decode' : 'encode');
$decoder->$action(\*STDIN, \*STDOUT);

1;


